Range-v3 Range algorithms, views, and actions for the Standard Library |

Namespaces | Concepts | Macros | Variables
meta_fwd.hpp File Reference

Forward declarations. More...

## Namespaces
namespace | meta
| Tiny metaprogramming library.
namespace | meta::extension
| Extend meta with your own datatypes.

## Macros
#define | META_CONCEPT concept
#define | META_CONCEPT_BARRIER(...) __VA_ARGS__
#define | META_CXX_FOLD_EXPRESSIONS (META_CXX_VER >= META_CXX_STD_17)
#define | META_CXX_INLINE_VARIABLES (META_CXX_VER >= META_CXX_STD_17)
#define | META_CXX_INTEGER_SEQUENCE (META_CXX_VER >= META_CXX_STD_14)
#define | META_CXX_STD_14 201402L
#define | META_CXX_STD_17 201703L
#define | META_CXX_TRAIT_VARIABLE_TEMPLATES 0
#define | META_CXX_VARIABLE_TEMPLATES (META_CXX_VER >= META_CXX_STD_14)
#define | META_CXX_VER __cplusplus
#define | META_DEPRECATED(...)
#define | META_HAS_MAKE_INTEGER_SEQ 0
#define | META_HAS_TYPE_PACK_ELEMENT 0
#define | META_INLINE_VAR
#define | META_IS_BASE_OF(...) std::is_base_of<__VA_ARGS__>::value
#define | META_IS_CONSTRUCTIBLE(...) std::is_constructible<__VA_ARGS__>::value
#define | META_IS_SAME(...) std::is_same<__VA_ARGS__>::value
#define | META_TYPE_CONSTRAINT(...) __VA_ARGS__

## Variables
template<bool B>
constexpr bool | meta::detail::barrier = B
template<typename , template< typename... > class>
constexpr bool | meta::is_v = false
| is_v Test whether a type `T` is an instantiation of class template `C`.
template<typename... Ts, template< typename... > class C>
constexpr bool | meta::is_v< C< Ts... >, C > = true

## Detailed Description

Forward declarations.